REICAST-JOYCONFIG(1)

NAME
reicast-joyconfig - An editor for Reicast controller mappings.

SYNOPSIS
reicast-joyconfig [-h | [-d DEVICE_ID] [-f FILE]]

DESCRIPTION
reicast-joyconfig assists you when creating custom mappings for the reicast Dreamcast emulator.

EXAMPLE COMMANDLINE

No command line options will give you a list of devices that you can choose from and then start the mapping assistant.
    reicast-joyconfig

Create a mapping for /dev/input/event3.
    reicast-joyconfig -d 3

Create a mapping for /dev/input/event3 and save the mapping file to ~/.config/reicast/mappings/my_mapping.cfg.
    reicast-joyconfig -d 3 -f ~/.config/reicast/mappings/my_mapping.cfg

GENERAL OPTIONS

-h, --help
    Show a short help text.

-d DEVICE_ID, --device-id DEVICE_ID
    Create a mapping for a specific device. The device ID is the number X from /dev/input/eventX. -f FILE, --file FILE Save the created mapping to a file. By default, the mapping will be printed to the standard output.

KNOWN ISSUES
If you're using a wireless controller, please make sure it is on before creating a mapping. Some controllers emit "Button Pressed/Released" signals when turning them on, which may lead to wrongly mapped keys.

PYTHON VERSION

reicast-joyconfig is written in Python and needs the evdev module to work:
    https://pypi.python.org/pypi/evdev

Distributions like Ubuntu have the evdev module as a package in their repositories - in these cases you should use your package manager instead of pip to install it.

Although reicast-joyconfig does support both Python 2.6 or higher and 3.0 or higher, you need to run reicast-joyconfig with the same Python version that you installed the evdev module for, i.e. if you installed the evdev module for Python 2, you also need to run reicast-joyconfig using Python 2 and vice-versa.

AUTHOR

reicast is developed by a number of people. A list of contributors can be obtained at:
    https://github.com/reicast/reicast-emulator/graphs/contributors

Head over to reicast's git repository if you want to contibute:
    https://github.com/reicast/reicast-emulator

This is free software; you can redistribute it and/or modify it under the terms of the GNU Public License (Version 2).

SEE ALSO
reicast(1)